#include "base.as"
#include "races.as"

racesManager races();

void main()
{
	array<array<double>> race_drag1 = 
		{
			{285.1,     0.5,   900.5,     0.0,   -90.0,    0.0},
			{688.4,     0.5,   900.5,     0.0,   -90.0,     0.0}
		};
	races.addRace("DRAG RACE 1", race_drag1, races.LAPS_NoLaps);


	array<array<double>> race_drag2 = 
		{
			{688.4,     0.5,   870.5,     0.0,    90.0,    0.0},
			{285.1,     0.5,   870.5,     0.0,    90.0,    0.0}
		};
	races.addRace("DRAG RACE 2", race_drag1, races.LAPS_NoLaps);


	array<array<double>> race_oval = 
		{
			{333.1,     0.5,   491.5,    0.0,     0.0,     0.0},
			{333.1,     0.5,   510.2,    0.0,     0.0,     0.0}
		};
	races.addRace("Speed Race Oval", race_oval, races.LAPS_One);


	array<array<double>> race_gp = 
		{
			{470.0,     0.5,   800.15,     0.0,    90.0,    0.0},
			{500.0,     0.5,   800.15,    0.0,    90.0,    0.0}
		};
	races.addRace("GP-Track", race_gp, races.LAPS_One);


	array<array<double>> race_dirt1 = 
		{
			{600.8,     0.1,   598.1,     0.0,   -90.0,    0.0},
			{620.2,     0.1,   598.1,    0.0,   -90.0,    0.0}
		};
	races.addRace("Dirt Race 1", race_dirt1, races.LAPS_One);


	array<array<double>> race_dirt2 = 
		{
			{775.0,     0.1,   609.0,     0.0,   -90.0,     0.0},
			{798.0,     0.1,   609.0,     0.0,   -90.0,     0.0}
		};
	races.addRace("Dirt Race 2", race_dirt2, races.LAPS_One);
}